%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Glib
%define modv   1.182
%define glibv  %(rpm -q glib2-devel --qf '%{VERSION}')


Summary:       Perl wrappers for the GLib utility and Object libraries
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       LGPL
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Torsten Schoenfeld <kaffeetisch@gmx.de>
Provides:      perl(%{modn}) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      glib2 = %{glibv}
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.00
BuildRequires: perl(File::Spec)
BuildRequires: glib2-devel


%description
This module provides perl access to GLib and GLib's GObject libraries.
GLib is a portability and utility library; GObject provides a generic
type system with inheritance and a powerful signal system. Together
these libraries are used as the foundation for many of the libraries
that make up the Gnome environment and are used in many other projects.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%ifarch i386
%{__rm} t/64bit.t
%endif

%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE NEWS README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pm
%{_mandir}/man3/*.3*


%changelog
* Mon May 26 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.182-1
- Initial build
